Bug 1977664 - waiverdb fails to build with Sphinx 4.0.2 [NEEDINFO]
Summary: waiverdb fails to build with Sphinx 4.0.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: waiverdb
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Holecek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1975260
Blocks: F35FTBFS F36FTBFS, RAWHIDEFTBFS PYTHON3.10 1973718
TreeView+ depends on / blocked
 
Reported: 2021-06-30 08:53 UTC by Karolina Surma
Modified: 2021-11-19 01:14 UTC (History)
10 users (show)

Fixed In Version: waiverdb-1.4.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-19 01:14:04 UTC
Type: Bug
releng: needinfo? (extras-orphan)


Attachments (Terms of Use)

Description Karolina Surma 2021-06-30 08:53:20 UTC
waiverdb fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ make -C docs html man text
make: Entering directory '/builddir/build/BUILD/waiverdb-1.3.0/docs'
Running Sphinx v4.0.2
Extension error:
Could not import extension sphinxcontrib.autohttp.flask (exception: cannot import name 'force_decode' from 'sphinx.util' (/usr/lib/python3.10/site-packages/sphinx/util/__init__.py))
make: *** [Makefile:20: html] Error 2

For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/waiverdb/

You can test you package using Koji scratch build
koji build --scratch <srpm>

Sphinx 4.0.2 will be included in Fedora 35.
Let us know here if you have any questions. Thank you!

Comment 1 Lukas Holecek 2021-07-13 09:27:57 UTC
This is caused by a bug in Sphinx (https://github.com/sphinx-contrib/httpdomain/issues/46) and it looks like it has been already fixed in upstream recently.

Comment 2 Fedora Release Engineering 2021-08-01 04:23:12 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 3 Karolina Surma 2021-08-04 10:41:54 UTC
We are currently preparing Sphinx update to 4.1.2 which contains the fix for the reported issue.

However the documentation doesn't build successfully with this traceback:

+ make -C docs html man text
make: Entering directory '/builddir/build/BUILD/waiverdb-1.3.0/docs'
Running Sphinx v4.1.2
loading intersphinx inventory from python-intersphinx.inv...
loading intersphinx inventory from greenwave-intersphinx.inv...
building [mo]: targets for 0 po files that are out of date
building [html]: targets for 8 source files that are out of date
updating environment: [new config] 8 added, 0 changed, 0 removed
reading sources... [ 12%] admin-guide
reading sources... [ 25%] api
[2021-08-03 17:26:46,283] DEBUG in app: using DBURI: postgresql+psycopg2:///waiverdb
reading sources... [ 37%] client-conf
reading sources... [ 50%] developer-guide
reading sources... [ 62%] index
reading sources... [ 75%] release-notes
reading sources... [ 87%] user-guide
reading sources... [100%] waiverdb-cli
Warning, treated as error:
<autoflask>:1:Problem in http domain: field is supposed to use role 'obj', but that role is not in the domain.
make: *** [Makefile:20: html] Error 2

You can find the full log here: https://download.copr.fedorainfracloud.org/results/@python/python3.10/fedora-rawhide-x86_64/02359853-waiverdb/build.log.gz

Comment 4 Lukas Holecek 2021-08-04 12:49:47 UTC
> <autoflask>:1:Problem in http domain: field is supposed to use role 'obj', but that role is not in the domain.

There is yet another issue in the Sphinx extension: https://github.com/sphinx-contrib/httpdomain/issues/53

Comment 5 Ben Cotton 2021-08-10 13:10:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Fedora Release Engineering 2021-08-22 04:22:26 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 7 Fedora Release Engineering 2021-09-12 04:22:21 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 8 Miro Hrončok 2021-09-24 13:04:51 UTC
This package has been orphaned, according to point 5 of https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

If you wish to take over, you can pick it up at https://src.fedoraproject.org/rpms/waiverdb by clicking the "Take" button. If nobody picks it up, it will be retired and removed from the distribution in 6 weeks.

Comment 9 Fedora Release Engineering 2021-10-03 04:22:12 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 10 Fedora Release Engineering 2021-10-24 04:22:08 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 11 Fedora Update System 2021-11-10 06:50:01 UTC
FEDORA-2021-ab31599d7f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ab31599d7f

Comment 12 Fedora Update System 2021-11-11 04:37:05 UTC
FEDORA-2021-ab31599d7f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ab31599d7f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ab31599d7f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-11-19 01:14:04 UTC
FEDORA-2021-ab31599d7f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.